package org.javanicus.blog;
import java.util.Date;
import java.text.*;

public class BlogItem {
	private long key;
	private Date date;
	private String description;

	private static DateFormat dateFormat = DateFormat.getDateInstance(DateFormat.MEDIUM);
	private static DateFormat timeFormat = DateFormat.getTimeInstance(DateFormat.LONG);
	private static DateFormat dateLinkFormat = new SimpleDateFormat("yyyy/MM/dd");

	public BlogItem(long key, Date date, String description) {
		super();
		setKey(key);
		setDate(date);
		setDescription(description);
	}

	public void setKey(long key) {
		this.key = key;
	}
	public long getKey() {
		return key;
	}

	public void setDate(Date date) {
		this.date = date;
	}
	public String getDate() {
		return dateFormat.format(date);
	}
	public String getTime() {
		return timeFormat.format(date);
	}
	public String getDateLink() {
		return dateLinkFormat.format(date);
	}
	public Date getDateValue() {
		return date;
	}

	public void setDescription(String description) {
		this.description = description;
	}
	public String getDescription() {
		return description;
	}
}