package org.javanicus.blog;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.util.Date;

public class BlogPanel extends JPanel implements BlogCallback {
	private JEditorPane editor = new JEditorPane();
	private JScrollPane scroller = null;
	private BlogButton blogButton = new BlogButton("blog");
	private BlogButton uploadButton = new BlogButton("upload");
	private Blogger blogger = new Blogger();
    protected BlogDestination destination = null;

    public BlogPanel(BlogDestination destination) {
        super(new BorderLayout());
		this.destination = destination;
		editor.setEditable(true);
		editor.setContentType("text/plain");
		scroller = new JScrollPane(editor);
		scroller.setPreferredSize(new Dimension(500,300));

		JPanel buttons = new JPanel();
		buttons.add(blogButton,BorderLayout.EAST);
		buttons.add(uploadButton,BorderLayout.WEST);
		add(scroller,BorderLayout.NORTH);
        add(buttons,BorderLayout.SOUTH);

		uploadButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent event) {
				blogger.upload(BlogPanel.this.destination);
			}
		});

		blogButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent event) {
		        blogger.doIt(BlogPanel.this.destination, BlogPanel.this);
			}
		});
        //setPreferredSize(new Dimension(480, 320));
    }

    public BlogItem fetchBlogItemFromUser() {
		BlogItem item = new BlogItem(1,new Date(),editor.getText());
		return item;
	}
}
